
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1149

Do not automatically change the output plugin on error, stop playback instead

January 23, 2022 11:19 - Artem S. Tashkinov

Status: Closed Start date: January 23, 2022

Priority: Major Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.2   

Affects version: 4.1   

Description

This has been driving me insane recently.

I've got the only output device: my Bluetooth headphones, whenever I power them off, I have no output devices any longer. My

default output plugin is set to Pulse Audio.

What happens when I try to play audio in this case is that Audacious chooses the next available output plugin automatically, it's

FileWriter here, so I end up with dozens of written files on the disk which I do not want.

Please add an option to stick to the chosen output plugin and shut down playback completely in the case the output plugin throws an

error.

Thank you.

History

#1 - March 20, 2022 12:38 - John Lindgren

- % Done changed from 0 to 100

- Target version set to 4.2

- Status changed from New to Closed

Fixed:

https://github.com/audacious-media-player/audacious/commit/73ea512093c0104c37c4b344ba4f2e2fb4da7ffc

#2 - March 20, 2022 12:42 - Artem S. Tashkinov

John Lindgren wrote:

Fixed:

https://github.com/audacious-media-player/audacious/commit/73ea512093c0104c37c4b344ba4f2e2fb4da7ffc

 

Great many thanks!!
